Bug 151571 - [patch] bsd.cl-asdf.mk: don't clobber TMPPLIST
Summary: [patch] bsd.cl-asdf.mk: don't clobber TMPPLIST
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jimmy Olgeni
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-19 07:50 UTC by swell.k
Modified: 2010-10-19 21:20 UTC (History)
0 users

See Also:


Attachments
a.diff (683 bytes, patch)
2010-10-19 07:50 UTC, swell.k
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description swell.k 2010-10-19 07:50:06 UTC
FASL_BUILD and LICENSE don't get along, install-license populates
TMPPLIST and _LICENSE_DIR just before post-install. And upon deinstall
files in _LICENSE_DIR are left behind.

It was found by pgollucci when testing cl-stumpwm (ports/151318).

How-To-Repeat: $ cd devel/cl-alexandria-sbcl
$ make install deinstall LICENSE=BSD # or any other valid one
$ find PREFIX/ ! -type d
PREFIX/share/licenses/cl-alexandria-sbcl-2010.01.16_1/BSD
PREFIX/share/licenses/cl-alexandria-sbcl-2010.01.16_1/LICENSE
PREFIX/share/licenses/cl-alexandria-sbcl-2010.01.16_1/catalog.mk
Comment 1 swell.k 2010-10-19 08:08:06 UTC
Doh, slave ports are tricky.

--- b.diff begins here ---
Index: x11/cl-clx-sbcl/Makefile
===================================================================
RCS file: /a/.cvsup/ports/x11/cl-clx-sbcl/Makefile,v
retrieving revision 1.1
diff -u -p -r1.1 Makefile
--- x11/cl-clx-sbcl/Makefile	8 Oct 2010 20:14:58 -0000	1.1
+++ x11/cl-clx-sbcl/Makefile	19 Oct 2010 07:03:10 -0000
@@ -15,4 +15,6 @@ USE_ASDF_FASL=	yes
 FASL_BUILD=	yes
 FASL_TARGET=	sbcl
 
+PLIST=		${.CURDIR}/pkg-plist
+
 .include "${MASTERDIR}/Makefile"
--- b.diff ends here ---
Comment 2 dfilter service freebsd_committer 2010-10-19 21:11:39 UTC
olgeni      2010-10-19 20:11:34 UTC

  FreeBSD ports repository

  Modified files:
    devel/cl-asdf        bsd.cl-asdf.mk 
  Log:
  Avoid clobbering TMPPLIST from bsd.cl-asdf.mk.
  
  PR:             ports/151571
  Submitted by:   swell.k@gmail.com
  
  Revision  Changes    Path
  1.5       +2 -2      ports/devel/cl-asdf/bsd.cl-asdf.mk
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 dfilter service freebsd_committer 2010-10-19 21:13:25 UTC
olgeni      2010-10-19 20:13:20 UTC

  FreeBSD ports repository

  Modified files:
    x11/cl-clx-sbcl      Makefile 
  Log:
  Use correct PLIST in slave port.
  
  PR:             ports/151571
  Submitted by:   maintainer
  
  Revision  Changes    Path
  1.2       +2 -0      ports/x11/cl-clx-sbcl/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Jimmy Olgeni freebsd_committer 2010-10-19 21:13:44 UTC
State Changed
From-To: open->closed

Good catch... thanks!